# Uses of Interface
org.sunflow.system.UserInterface

Packages that use UserInterface
Package
Description
org.sunflow
org.sunflow.system
org.sunflow.system.ui

## Uses of UserInterface in org.sunflow

Classes in org.sunflow that implement UserInterface
Modifier and Type
Class
Description
`class`
`Benchmark`

## Uses of UserInterface in org.sunflow.system

Methods in org.sunflow.system with parameters of type UserInterface
Modifier and Type
Method
Description
`static final void`
UI.`set(UserInterface ui)`
Sets the active user interface implementation.

## Uses of UserInterface in org.sunflow.system.ui

Classes in org.sunflow.system.ui that implement UserInterface
Modifier and Type
Class
Description
`class`
`ConsoleInterface`
Basic console implementation of a user interface.
`class`
`SilentInterface`
Null implementation of a user interface.